scala.collection

# SeqLike

#### object SeqLike

The companion object for trait `SeqLike`.

Source
  SeqLike.scala

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. SeqLike
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

11. #### def indexOf[B](source: Seq[B], sourceOffset: Int, sourceCount: Int, target: Seq[B], targetOffset: Int, targetCount: Int, fromIndex: Int): Int

    Finds a particular index at which one sequence occurs in another sequence.

    Finds a particular index at which one sequence occurs in another sequence. Both the source sequence and the target sequence are expressed in terms other sequences S' and T' with offset and length parameters. This function is designed to wrap the KMP machinery in a sufficiently general way that all library sequence searches can use it. It is unlikely you have cause to call it directly: prefer functions such as StringBuilder#indexOf and Seq#lastIndexOf.

    source

      the sequence to search in

    sourceOffset

      the starting offset in source

    sourceCount

      the length beyond sourceOffset to search

    target

      the sequence being searched for

    targetOffset

      the starting offset in target

    targetCount

      the length beyond targetOffset which makes up the target string

    fromIndex

      the smallest index at which the target sequence may start

    returns

      the applicable index in source where target exists, or -1 if not found

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### def lastIndexOf[B](source: Seq[B], sourceOffset: Int, sourceCount: Int, target: Seq[B], targetOffset: Int, targetCount: Int, fromIndex: Int): Int

    Finds a particular index at which one sequence occurs in another sequence.

    Finds a particular index at which one sequence occurs in another sequence. Like `indexOf`, but finds the latest occurrence rather than earliest.

    See also

      scala.collection.SeqLike, method `indexOf`

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

18. #### def toString(): String

    Definition Classes
      AnyRef → Any

19. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped